Bug 831154 - qla2xxx firmware not loaded
qla2xxx firmware not loaded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 06:32 EDT by Adrian Reber
Modified: 2013-08-01 13:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:02:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2012-06-12 06:32:13 EDT
After the update of the system to Fedora 17 I see following in dmesg:

[    2.533582] qla2xxx [0000:21:00.0]-0035:3: MSI-X; Unsupported ISP2432 (0x2, 0x3).
[    2.533635] qla2xxx 0000:21:00.0: irq 106 for MSI/MSI-X
[    2.662018] ioc0: LSIFC949E: Capabilities={Initiator,Target,LAN}
[    3.300417] scsi4 : ioc0: LSIFC949E, FwRev=01031300h, Ports=1, MaxQ=1023, IRQ=32
[    3.301750] mptfc: ioc0: FC Link Established, Speed = 4 Gbps
[    3.302977] scsi 4:0:0:0: Direct-Access     IFT      A12F-G2422       347D PQ: 0 ANSI: 5
[    3.303260] sd 4:0:0:0: Attached scsi generic sg3 type 0
[    3.303700] sd 4:0:0:0: [sdb] 19529912320 512-byte logical blocks: (9.99 TB/9.09 TiB)
[    3.304295] sd 4:0:0:0: [sdb] Write Protect is off
[    3.304297] sd 4:0:0:0: [sdb] Mode Sense: 9b 00 00 08
[    3.304798] sd 4:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.317098]  sdb: sdb1
[    3.318533] sd 4:0:0:0: [sdb] Attached SCSI disk
[   62.816884] qla2xxx [0000:21:00.0]-0063:3: Failed to load firmware image (ql2400_fw.bin).
[   62.816889] qla2xxx [0000:21:00.0]-0090:3: Fimware image unavailable.
[   62.816891] qla2xxx [0000:21:00.0]-0091:3: Firmware images can be retrieved from: ftp://ftp.qlogic.com/outgoing/linux/firmware/.
[   63.526024] qla2xxx [0000:21:00.0]-00c2:3: Unable to initialize EFT (258).
[   63.537148] scsi3 : qla2xxx
[   63.537491] qla2xxx [0000:21:00.0]-00fb:3: QLogic QLE2460 - PCI-Express Single Channel 4Gb Fibre Channel HBA.
[   63.537504] qla2xxx [0000:21:00.0]-00fc:3: ISP2432: PCIe (2.5GT/s x4) @ 0000:21:00.0 hdma+ host#=3 fw=4.00.12 (2).

Especially those four lines:

[   62.816884] qla2xxx [0000:21:00.0]-0063:3: Failed to load firmware image (ql2400_fw.bin).
[   62.816889] qla2xxx [0000:21:00.0]-0090:3: Fimware image unavailable.
[   62.816891] qla2xxx [0000:21:00.0]-0091:3: Firmware images can be retrieved from: ftp://ftp.qlogic.com/outgoing/linux/firmware/.
[   63.526024] qla2xxx [0000:21:00.0]-00c2:3: Unable to initialize EFT (258).

I can see that the firmware is in the ramdisk:

$ lsinitrd /boot/initramfs-3.4.0-1.fc17.x86_64.img | grep ql2400
-rw-r--r--   1 root     root       255320 Feb 16 16:50 usr/lib/firmware/ql2400_fw.bin

Not sure why it is not being loaded.


Version-Release number of selected component (if applicable):

kernel-3.4.0-1.fc17.x86_64
dracut-018-40.git20120522.fc17.noarch


How reproducible:
Always

  
Actual results:
Firmware not loaded

Expected results:
Firmware loaded.
Comment 1 Harald Hoyer 2012-07-03 04:47:25 EDT
which version of kmod and udev is this?

# rpm -qa kmod udev
Comment 2 Adrian Reber 2012-07-03 04:51:27 EDT
# rpm -qa kmod udev
udev-182-3.fc17.x86_64
kmod-7-2.fc17.x86_64

My workaround is to blacklist the drivers for Fibre Channel devices in dracut

# cat /etc/dracut.conf.d/02-local.conf 
omit_drivers+="qla2xxx.ko mptfc.ko"

Both external RAIDs are not needed for booting and the firmware is correctly loaded after switching from dracut to the real root device.
Comment 4 Fedora End Of Life 2013-07-04 01:48:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 13:02:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.